Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 3773 - Class and Struct Constructor Compile Errors
Class and Struct Constructor Compile Errors
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: egcs (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-28 03:48 EDT by stephen.morton
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-06 10:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephen.morton 1999-06-28 03:48:55 EDT
The following code -

class class_x {
   int y;

   class_x (int y) : class_x::y (y) {};
};

-  gives an error "No type named y in class class_x".
Comment 1 Cristian Gafton 1999-07-02 17:54:59 EDT
assigned to pbrown. He might compute what that code wants to do.
Comment 2 Preston Brown 1999-07-06 10:42:59 EDT
I compute (however you should probably make the constructor public)
however fixing this bug is beyond the realm of my comprehension.  Work
arounds include of course changing the name of the parameter you pass
into the constructor, or the name of the member variable.  Hopefully
this will be fixed in a later release of the egcs compiler, but it is
rather messy.  Please also report this bug to the egcs team.

Note You need to log in before you can comment on or make changes to this bug.